package fr.iut_fbleau.HexGame;

import fr.iut_fbleau.GameAPI.*;

/**
 * Représente un coup dans le jeu de Hex.
 */
public class HexPly extends AbstractPly {

    private final int row;
    private final int col;

    public HexPly(Player j, int row, int col) {
        super(j);
        this.row = row;
        this.col = col;
    }

    public int getRow() {
        return this.row;
    }

    public int getCol() {
        return this.col;
    }

    @Override
    public String toString() {
        return "HexPly{player=" + getPlayer() + ", row=" + row + ", col=" + col + "}";
    }
}
